Adds the unfinished Ancient Wisp boss into the game.
It's an 800 credit boss in the same tier as Imp Overlords and Magma Worms.
Spawns on Rallypoint Delta, Abyssal Depths, Sundered Grove, Sky Meadow, as well Void Fields, Gilded Coast, and Bulwark's Ambry.
Internal bodyname is MoffeinAncientWispBody. Probably should be compatible with Rogue Wisp.

Currently shares the same boss item drop as the Grovetender.

Default Attack - RH Cannon: Shoots a spread of 6 rolling fireballs at players
Signature Attack - Lightning Pillars: Summons many Lightning Pillars around the players
Utility - Enrage: At 50% HP, enrages and gains increased move speed and attack speed, which boosts the amount of projectiles it shoots.

Send me feedback on the balance!

[![](https://i.imgur.com/TXUxE9Y.png)]()
[![](https://i.imgur.com/POwj2jp.png)]()

All players need the mod.
Config options for what stages it spawns on can be found in /Risk of Rain 2/BepInEx/config/com.Moffein.AncientWisp.cfg

## Installation
Place AncientWisp.dll in /Risk of Rain 2/BepInEx/plugins/

## Credits
Pikmin88 - Preview picture on Sky Meadow
rob - Logbook icon

## Changelog
1.0.0
- Release

1.0.1
- Corrected incorrect readme description for default attack. It actually shoots 6 fireballs.
- Increased interactor distance from 3 to 6, for people who want to play as the boss. Bodyname is MoffeinAncientWispBody.

1.0.2
- Added attack speed scaling caps aimed towards modded enemies with items setups.
    - RH Cannon now caps at 16 projectiles when scaling with attack speed.
    - Lightning Pillars now caps at 80 pillars when scaling with attack speed.
- Fixed Enrage spamming its activation noise for clients online.
- Reduced death explosion frequency from 3/s to 2.5/s.

1.0.3
- Fixed Lightning Pillar visual effects not disappearing when zapped by Captain's microbots (it still would successfully prevent the damage though).
- Reduced Enrage cast duration from 6s to 5s.

1.1.0
- Removed negative vertical aim offset on RH Cannon.
- RH Cannon projectiles are now affected by gravity. Hopefully this will make them a bit better at hitting targets instead of just flying off into the distance.
- Lightning Pillar damage coefficient reduced from 210% -> 200%.
- Lightning Pillar pillar count increased from 40 -> 45.
- Lightning Pillar max pillar cap increased from 80 -> 90.
- Lightning Pillars are now always oriented upwards. This is purely a visual change, as their hitbox is a sphere on the ground.
- Lightning Pillars now hit enemies above their center for 40% TOTAL damage. Would like feedback on this change!

1.1.1
- Ancient Wisps no longer stand still while casting attacks.
- RH Cannon charge time reduced from 3s to 2.5s.
- Lightning Pillar damage coefficient increased from 200% -> 210%.
- Lightning Pillar vertical hitbox damage increased from 40% TOTAL to 50% TOTAL.
- Lightning Pillar vertical hitbox range increased from 12m to 16m.
- Lightning Pillar explosion delay reduced from 1.5s to 1.2s.
- Lightning Pillar cooldown reduced from 25s to 18s. It should be noted that Ancient Wisps only use Lightning Pillars after expending all M1 charges (2 charges, 7s cooldown to recharge all stocks at once)

1.1.2
- Fixed Lightning Pillar max pillar cap not actually applying. This should fix endless lightning spam in modded setups where Ancient Wisps can get a lot of attack speed.
- (BUG) Accidentally increased Lightning Pillar base pillar count from 45 -> 90.
- (BUG) Accidentally decreased Lightning Pillar max pillar count from 90 -> 72.

1.1.3 (Hotfix)
- Decreased Lightning Pillar base pillar count from 90 -> 45.
- Increased Lightning Pillar max pillar count from 72 -> 90.

1.1.4
- Fixed RHCannon being aimed at the Ancient Wisp's movement direction instead of at its current enemy.
- Increased RHCannon max projectile count from 14 -> 16. (This will not be reached unless the Ancient Wisp has attack speed items)
- Ancient Wisps now always prioritize using their Lightning Pillars whenever available.
- Lightning Pillars now cannot be cancelled by Enrage.
- Enrage cast duration reduced from 5s to 3s.

1.1.5
- Added missing LoadoutAPI dependency. Most users will see no change from this, but this should fix the mod for people who don't have any survivor mods installed.
- Increased RHCannon range from 100 -> 150.
- Removed RHCannon gravity. The gravity was originally added because Ancient Wisps were really bad at aiming, but it turns out that was due to an AI bug which was fixed. The removal of gravity on the projectiles should make Ancient Wisps better at hitting airborne and long distnace targets, and will make them able to hit players camping in the wind tunnels in Sky Meadow. Lemme know how this change feels!
- Ancient Wisps are now slowed 50% while using Lightning Pillars and Enrage.